import { numbersSvgArray } from "@/lib/numbersSvg";
import SectionWrapper from "./components/SectionWrapper";

const BennefitsListSection = ({ content }) => {
  if (!content) return null;

  return (
    <SectionWrapper content={content}>
      <div className="flex flex-wrap items-center justify-center ">
        {content?.list?.map((item, index) => {
          return (
            <div
              key={index}
              className="w-[50%] md:w-[33%] lg:w-[20%] flex flex-col gap-1 items-center px-3  h-[150px]  mb-3"
            >
              {numbersSvgArray[index].svg}
              <p className="text-center leading-8  -translate-y-4">
                {item.desc}
              </p>
            </div>
          );
        })}
      </div>
    </SectionWrapper>
  );
};

export default BennefitsListSection;
